FreeMat

- Main Page
- Related Pages

vtkMaterialLibrary

Section: Visualization Toolkit IO Classes

# Usage

This class provides the Material XMLs. .SECTION Thanks Shader support in VTK includes key contributions by Gary Templet at Sandia National Labs.

To create an instance of class vtkMaterialLibrary, simply invoke its constructor as follows

      obj = vtkMaterialLibrary

# Methods

The class vtkMaterialLibrary has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkMaterialLibrary class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkMaterialLibrary = obj.NewInstance ()`
- `vtkMaterialLibrary = obj.SafeDownCast (vtkObject o)`